Webhooks
Update webhook
Authorization
basic auth AuthorizationBasic <token>
Authorization header with value of Basic <auth string> where the auth string value
is a base64 encoded string of <client id>:<client secret>
In: header
Path Parameters
webhook_id*string
Format
uuidRequest Body
application/json
webhook?string
Format
urlevents?array<WebHookEventName>
platform_level?boolean
Response Body
application/json
curl -X PUT "https://api.verticalinsure.com/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"events": [
"policy_bind_complete"
],
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"webhook": "https://www.example.com/my-webhook",
"signature_key": "wh_AsDfASjklh123hGh3asHDgfdDfgh",
"platform_level": true,
"version": 0,
"created_at": "2019-08-24T14:15:22Z"
}